Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2013873002: [array] speed up array.forEach and friends by directly using in-operator (Closed)

Created:
3 years, 5 months ago by Camillo Bruni
Modified:
3 years, 5 months ago
Reviewers:
adamk, Jakob Kummerow
CC:
v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

[array] speed up array.forEach and friends by directly using in-operator The in-operator has recently been optimized making our smart macros obsolete. This should give up to 10% speedup on forEach and friends. BUG=v8:5041 Committed: https://crrev.com/eff24bef5c0f071008bdd4bcee3a86384e90c90b Cr-Commit-Position: refs/heads/master@{#36576}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -23 lines) Patch
M src/js/array.js View 13 chunks +13 lines, -22 lines 0 comments Download
M src/js/macros.py View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 14 (7 generated)
Camillo Bruni
PTAL
3 years, 5 months ago (2016-05-30 08:36:09 UTC) #5
Jakob Kummerow
Oh, the simplification! LGTM.
3 years, 5 months ago (2016-05-30 08:41:02 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2013873002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2013873002/1
3 years, 5 months ago (2016-05-30 09:36:26 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
3 years, 5 months ago (2016-05-30 10:01:19 UTC) #9
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/eff24bef5c0f071008bdd4bcee3a86384e90c90b Cr-Commit-Position: refs/heads/master@{#36576}
3 years, 5 months ago (2016-05-30 10:03:44 UTC) #11
adamk
Thanks for the cleanup (I was always a bit embarrassed by this fast path). Maybe ...
3 years, 5 months ago (2016-06-03 00:06:25 UTC) #13
Camillo Bruni
3 years, 5 months ago (2016-06-03 08:16:08 UTC) #14
Message was sent while issue was closed.
On 2016/06/03 at 00:06:25, adamk wrote:
> Thanks for the cleanup (I was always a bit embarrassed by this fast path).
Maybe we should just get rid of HAS_INDEX altogether (I'll send you a CL)?

yeah sounds good!

Powered by Google App Engine
This is Rietveld 408576698